Summary: TclRobots is a programming game, similar to 'Core War'
Name: tclrobots
Version: 2.0
Release: 1
Requires: tcl >= 7.4, tk >= 4.0
Group: Games
Source: tclrobots-2.0.tar.gz
Patch: tclrobots-redhat.patch

Copyright: distributable
URL: ftp://ftp.aud.alcatel.com/tcl/code/tclrobots-2.0.tar.gz
Packager: Andrea Borgia <borgia@cs.unibo.it>

Description: TclRobots is a programming game, similar to 'Core  War'.  To\
play TclRobots, you must write a Tcl program that controls a\
robot.  The robot's mission is  to  survive  a  battle  with\
other  robots.   Two, three, or four robots compete during a\
battle, each running different  programs  (or  possibly  the\
same  program  in different robots.)  Each robot is equipped\
with a scanner, cannon, drive mechanism. A single match con-\
tinues  until  one robot is left running. Robots may compete\
individually, or combine in a team oriented battle.  A tour-\
nament  can  be  run with any number of robot programs, each\
robot playing every other in a round-robin fashion,  one-on-\
one.   A  battle  simulator is available to help debug robot\
programs.\
The  TclRobots  program  provides  a  physical  environment,\
imposing  certain  game  parameters to which all robots must\
adhere.  TclRobots also provides a view on a battle,  and  a\
controlling user interface.

%prep
%setup
%patch -p1

%install
make install
make install-man

%files
%doc tclrobots.ps tclrobots.txt CHANGES INSTALL README
%doc samples teams
/usr/games/tclrobots
/usr/man/man6/tclrobots.6
